package org.astakhova.data.impl;

import org.astakhova.data.*;

/**
 * Makes a description of a node which a diagram begins from
 * @author Astakhova Julia A.
 */
public class BeginNode extends Node implements IBeginNode {
	/**
	 * Generates a new node
	 * @param x X-coordinate
	 * @param y Y-coordinate
	 */
	BeginNode(int x, int y) {
		super(x, y);
		super.setText("Begin");
		setHeight(20);
		setWidth(60);
	}
	
	/**
	 * Makes impossible to change constant text value "Begin"
	 * @param text is ignored
	 */
	public void setText(String text) {
	}

	public boolean canBeBound() {
		return false;
	}
}
